Regnessem 日本語ヘルプ

Regnessem(れぐねっせむ)はマルチアカウント、マルチプロトコルを同時に扱う事を目標に開発されているインスタントメッセージクライアントです。ここではその基本的な使い方について解説します。

はじめに

  • 導入方法
  • 基本機能
  • 動作環境
  • コマンドラインオプション

基本操作

  • プロファイル
  • メインウィンドウ
  • 会話ウィンドウ
  • ファイル転送ウィンドウ
  • タスクトレイ

プラグイン

  • プラグインについて
  • 標準プラグインと設定
    • SimpleUIプラグイン
      • クイックテキスト
    • MSNP8プロトコルプラグイン
    • FileIOプラグイン
    • ClientSocketプラグイン
    • StringResourceプラグイン
  • 代表的なプラグイン

テーマ

  • テーマについて
  • 標準のテーマ
  • テーマの作成
  • Testテーマ解説
  • Delphi色定数

エラーメッセージ

  • Socket Error
  • Protocol Error

その他

  • バグ報告や要望の出し方
  • よくある質問と答え(FAQ)

著作権

Regnessem Help (Japanese) for Alpha Release 17
Copyright © Project Regnessem
メンバ全体への連絡先 : regnessem@users.sourceforge.jp


はじめに

ここではRegnessemのインストールや概要を解説します。

  1. 導入方法
  2. 基本機能
  3. 動作環境
  4. コマンドラインオプション

ナビゲーションリスト

  1. 総合目次


導入方法

インストール

  1. Regnessemのダウンロードページ(http://regnessem.sourceforge.jp/download.html)から最新のリリースファイルをダウンロードして下さい。zipアーカイブとインストーラ版があります。
  2. zipアーカイブをダウンロードした場合は、任意の場所に展開して下さい。インストーラ版をダウンロードした場合は画面の指示に従ってインストールして下さい。
  3. 展開(もしくはインストール)したフォルダにあるnsmsgs.exeを実行するとRegnessemが起動します。

アンインストール

Regnessemは基本的にレジストリを使用していません。zipアーカイブ版の場合はそのままフォルダごと削除して下さい。インストーラ版を使ってインストールした場合は、そのまま削除するとレジストリに情報が残ってしまうのでコントロールパネルのアプリケーションの追加と削除から削除して下さい。

アップデート

Regnessemの新しいバージョンがリリースされた際のバージョンアップの方法です。

  1. 「インストールの項」に従って新しいバージョンのRegnessemをダウンロードします。このときRegnessemは終了させておいて下さい。
  2. zipアーカイブ版をダウンロードした場合はnsmsgs.exeおよびPluginsフォルダの中身を直接上書きすることで既存の設定を引き継いだままアップデートできます。
  3. インストーラ版をダウンロードした場合は、先にアプリケーションの追加と削除から先に古いバージョンのRegnessemを削除してから新たにインストールして下さい。

基本的には上記でアップデートできますが、仕様変更等で設定ファイルの中身が流用できない事があります。その場合、Regnessemを終了し、インストールフォルダ以下にある全てのiniファイルをバックアップ後、削除して再起動して下さい。

ナビゲーションリスト

  1. 総合目次 >>
  2. はじめに


基本機能

概要

Regnessemはマルチプロトコル・マルチアカウントを同時に扱える事を目標に開発されているインスタントメッセンジャークライアントです。オリジナルの作者は山ねこさんでしたが都合により開発停止となり、OpenSourceプロジェクトとして開発されています。

基本機能

Regnessemは以下に挙げるような機能を持っています。

  • デフォルトでMSN Messanger Serviceに接続可能
  • マルチアカウントでの同時ログインが可能
  • ウィンドウのタブ化等、シンプルなユーザーインターフェースを提供
  • テーマによるビジュアルのカスタマイズ
  • プラグインによる機能強化

名前の由来

オリジナルの作者である山ねこ氏による名前募集の結果、この名前が産まれました。Regnessemは"れぐねっせむ"と読み、逆から読むとmessangeR("めっせんじゃー")となります。

ナビゲーションリスト

  1. 総合目次 >>
  2. はじめに


基本機能

動作環境

確認した動作環境

  • Microsoft Windows 98
  • Microsoft Windows ME
  • Microsoft Windows2000(及びService Pack3, 4)
  • Microsoft WindowsXP(及びService Pack1, Service Pack2 RC2)

その他の環境では動作するかもしれませんし、動作しないかもしれません。動作しなかった場合は詳細な環境を明記してサポート掲示板に投稿して頂ければ対処できる可能性があります。

ナビゲーションリスト

  1. 総合目次 >>
  2. はじめに


コマンドラインオプション

Regnessemのコマンドラインオプション

Regnessemの本体(nsmsgs.exe)実行時に以下のオプションを指定することが出来ます。

オプション | 内容
-debug | デバッグウィンドウを表示します。
-noautologin | プロファイルで設定した自動接続のチェックを無視します。
-f | 多重起動を許可します。ただし、プラグインのほぼ全ては多重起動を考慮して作られていないのでどのような被害が起きても開発チームは責任を負いません。

実行例

以下の例ではデバッグウィンドウを表示し、自動接続を無視します。

    nsmsgs.exe -debug -noautologin

ナビゲーションリスト

  1. 総合目次 >>
  2. はじめに


基本操作

ここではRegnessemの基本操作について説明します。但しここでいう基本操作とは、SimpleUIによって提供されるユーザーインターフェースの事を指します。他のUIプラグインについては各プラグインの説明をご覧下さい。

  1. プロファイル
  2. メインウィンドウ
  3. 会話ウィンドウ
  4. ファイル転送ウィンドウ
  5. タスクトレイ

ナビゲーションリスト

  1. 総合目次


プロファイル

プロファイルとは

プロファイル管理ウィンドウ RegnessemではアカウントID、パスワード、接続するプロトコルを一纏めにしたプロファイルという単位でアカウントを管理します。プロファイルの管理するにはメインウィンドウの接続メニューからログイン→プロファイルの編集を選ぶことで、プロファイルの追加、編集、削除が出来ます。

プロファイルの作成

プロファイル作成ウィンドウ プロファイル管理ウィンドウにある追加を押すことで新しくプロファイルを作成する事ができます。

各項目の説明

プロファイル名
プロファイルを識別するための任意の名前。
プロトコル
このプロファイルで使うプロトコル。
アカウント
このプロファイルで使うアカウント。
パスワード
アカウントに対応するパスワード。
状態
接続したときの初期状態
起動時に自動的に接続する
チェックするとRegnessem起動時に自動的に接続します。
切断されたら再接続する
チェックすると、このプロファイルが切断されたときに自動的に再接続を試みます。再接続が失敗した場合は切断されたまま保持されます。
プロファイル名をタブの表示に利用する
チェックすると、名前ではなくプロファイル名がタブの表示に使われます。

プロファイルの削除

プロファイル管理ウィンドウに列挙されているプロファイルの一覧から、１つのプロファイルを選択した状態で削除を押すと、そのプロファイルを削除します。

プロファイルの変更

プロファイル管理ウィンドウに列挙されているプロファイルの一覧から、１つのプロファイルを選択した状態で変更を押すと、そのプロファイルを変更出来ます。プロファイルの作成と同じウィンドウが出ますので、該当箇所を変更して下さい。

ナビゲーションリスト

  1. 総合目次 >>
  2. 基本操作


メインウィンドウ

表示される情報

Regnessemのメインウィンドウには、各種操作のためのメニュー、プロファイル切り替えタブ、現在選択されているプロファイルに登録されているユーザーのリストが表示されます。 メインウィンドウ

  • メンバ、グループを追加する
  • 会話ウィンドウを開く
  • Hotmailを開く
  • 名前と状態の変更、プライバシー設定
  • 右クリックメニュー
  • 接続メニュー
  • 機能メニュー
  • ヘルプメニュー
  • ショートカットキー

メンバ、グループを追加する

新しいメンバをリストに追加するには、右クリックメニューから新しいメンバの追加を選択します。

新しいグループをリストに追加するには、右クリックメニューから新しいグループを追加を選択します。

会話ウィンドウを開く

メンバと会話するために会話ウィンドウを開くには、リストにあるメンバをダブルクリックするか、右クリックメニューからメッセージの送信を選択して下さい。

α15から、リストからユーザーを選択してEnterキーを押すことで会話ウィンドウを開くことができるようになりました。

Hotmailを開く

Hotmailをブラウザで開くには、メール通知欄をダブルクリックします。

名前と状態の変更、プライバシー設定

状態変更 状態を変更するにはユーザー状態欄をクリックする事でメニューが開くので、そこから各状態を変更します。また、同じメニューから名前の変更を選択すると相手に通知する名前を変更することが出来ます。

プライバシー設定では現在の許可/禁止リスト、及び対向リストが参照できます。

右クリックメニュー

メンバリスト欄を右クリックすることで各種メニューが表示されます。メンバを選択した状態でのメニューと、何も選択してない状態でのメニューには違いがあります。

メンバ選択状態での右クリックメニュー

メッセージの送信
選択されたメンバと会話するための会話ウィンドウを開きます。
禁止する
選択されたメンバを禁止にします。禁止にしたメンバーにはオンラインになっても通知されません。
メンバの削除
選択されたメンバをリストから削除します。相手の登録までは削除できないので相手には登録されたままになります。
新しいメンバの追加
メンバリストに新しくメンバを追加します。
プロファイルを開く
選択されたメンバのプロファイルをブラウザで開きます。
名前をコピー
選択されたメンバの名前をクリップボードにコピーします。
アカウントをコピー
選択されたメンバのアカウントをクリップボードにコピーします。
拡張メニュー
プラグインによって追加されるメニューです。各詳細はプラグインの説明をご覧下さい。

メンバ未選択での右クリックメニュー

新しいメンバの追加
メンバリストに新しいメンバを追加します。
新しいグループの追加
メンバリストに新しいグループを追加します。

接続メニュー

ログイン
サブメニューに現在登録されているプロファイルの一覧が表示されますので、そこからプロファイルを選択するとそのプロファイルでログインします。またここでプロファイルの編集を選択することでプロファイルを管理する事が出来ます。
クイックログイン
プロファイルを指定しない簡易ログインウィンドウを開きます。
ログアウト
現在開いているプロファイルからログアウトします。
状態の変更
現在開いているプロファイルの状態を変更します。サブメニューから選択して下さい。
名前の変更
現在開いているプロファイルのユーザー名を変更します。
終了
Regnessem本体を終了します。ウィンドウの×ではRegnessem本体は終了しない事に気を付けて下さい。

機能メニュー

メンバの分類
登録されているメンバの分類を選択します。プロトコルで分類をサポートしていない場合、オプションで指定されるデフォルト値が適用されます。
メンバの並び替え
登録されているメンバの並び替え方法を選択します。
常に手前に表示
チェックを入れることでメインウィンドウを常に手前に表示することができます。
通知の使用
通知ウィンドウ、通知サウンドを一括してON/OFFの切り替えが出来ます。
テーマを適用
Regnessemではテーマを適用することで外観を変更することが出来ます。サブメニューには現在インストールされているテーマの一覧が表示されますので選択して下さい。
オプション
Regnessem本体のオプションを指定するウィンドウを開きます。
プロトコルメニュー
ここにはプロトコルプラグインによって各種追加メニューが登録されます。それぞれについてはプラグインの説明をご覧下さい。
アドインメニュー
ここにはアドインプラグインによって各種追加メニューが登録されます。それぞれについてはプラグインの説明をご覧下さい。

ヘルプメニュー

ヘルプを開く
Regnessem本体と同じフォルダにRegnessem_helpJ.chmファイルがある場合、そのファイルを開きます。
オンラインヘルプを開く
ブラウザでRegnessem開発サイトにあるオンラインヘルプを開きます。
ホームページ
Regnessem開発サイトを開きます。
FAQ
FAQを開きます。
サポートBBS
サポートBBSを開きます。
バージョン情報
Regnessem及び各種プラグインのバージョン情報を表示します。バグ報告や質問の際にはここに表示される情報を必ず添えて下さい。

ショートカットキー

キー | 動作
Enter | リストからユーザーを選択した状態で会話ウィンドウを開く。
ESC | ウィンドウ全般の設定を変更することで無効、最小化。隠すの3パターンから選択できます。
Ctrl+Tab / Ctrl+Shift+Tab | コネクションタブを切り替えます。

ナビゲーションリスト

  1. 総合目次 >>
  2. 基本操作


会話ウィンドウ

会話ウィンドウ

会話ウィンドウ メンバと会話するためのウィンドウです。会話ウィンドウには各種メニュー、履歴表示欄、フォント変更欄、会話入力欄があります。

複数のメンバと会話しているときは会話タブが表示されます。会話タブをダブルクリックすることで別のウィンドウに切り離す事ができます。

  • 会話する
  • ファイルメニュー
  • 編集メニュー
  • 機能メニュー
  • QuickText
  • ショートカットキー

会話する

会話入力欄にメッセージを入力し、送信を押すことで相手にメッセージを送信できます。デフォルト設定ではEnterキーを押しても送信を押したのと同じ動作をします。

送信したメッセージ、受信したメッセージはメッセージ履歴に表示されます。

フォント変更欄を設定することで、フォント、フォントの色、背景色等が変更できます。

フォント変更欄にあるスマイルマークをクリックする事で手軽に絵文字を入力できます。

ESCキーを押すことで会話ウィンドウ(及びメインウィンドウ)を最小化、もしくは隠す事ができます。これはウィンドウ全般の設定で変更することができます(デフォルトは無効)。

セッションメニュー

メンバの招待
現在会話しているセッションに他のメンバを招待します。
ファイルを送信
現在会話している相手にファイルを送信します。
保存
会話ログを保存します。
閉じる
会話ウィンドウを閉じます。開かれていたタブは全て閉じられます。

編集メニュー

受信済みメッセージをクリア
現在の会話履歴をクリアします。

機能メニュー

常に手前に表示
チェックすると会話ウィンドウを常に手前に表示できます。
書式バーを隠す
フォント選択等を行える書式バーを非表示にします。
ツールバーを隠す
ウィンドウ下部にあるステータス表示部を非表示にします。
フォント
フォントを変更します。
絵文字を表示
チェックすることで絵文字の表示、非表示を切り替えることが出来ます。

QuickText

メッセージ入力欄で右クリックする事でQuickTextを呼び出す事ができます。編集方法についてはクイックテキストの設定をご覧下さい。

ショートカットキー

Enter | リストからユーザーを選択した状態で会話ウィンドウを開く。
ESC | ウィンドウ全般の設定を変更することで無効、最小化。隠すの3パターンから選択できます。
Ctrl+Tab / Ctrl+Shift+Tab | コネクションタブを切り替えます。

ナビゲーションリスト

  1. 総合目次 >>
  2. 基本操作


ファイル転送ウィンドウ

ファイル転送ウィンドウ

ファイル転送ウィンドウ メンバにファイルを送信、またはメンバからファイルを受信するときに生成されるウィンドウです。複数のファイルを転送しているときは、タブが表示されます。

メニュー

セッション
閉じるでアクティブなファイル転送を閉じます。
機能
常に手前に表示にチェックを入れることで常に最前面に表示できます。

ナビゲーションリスト

  1. 総合目次 >>
  2. 基本操作


タスクトレイ

タスクトレイ

タスクトレイにあるアイコンを右クリックするとメニューが開きます。各メニューについては下記を参照して下さい。

タスクトレイに表示されるアイコンは、接続しているプロファイルが１つの場合はそのプロファイルの状態が、複数のプロファイルで接続している場合は全体の状態が表示されます。例えばオンラインのプロファイルと取り込み中のプロファイルがあった場合、タスクトレイのアイコンは取り込み中のアイコンになります。

メニュー

ホームページ
Regnessem公式サイト(http://regnessem.sourceforge.jp/)を開きます。
サポートBBS
サポートBBS(http://regnessem.sourceforge.jp/unagi/bbs/index2.html)を開きます。
全体の状態
開いている全てのプロファイルの状態を全て変更します。
通知の使用
通知ウィンドウ、通知サウンドを一括してON/OFFの切り替えが出来ます。
開く
メインウィンドウを開きます。
終了
Regnessem本体を終了します。

ナビゲーションリスト

  1. 総合目次 >>
  2. 基本操作


標準プラグインと設定

Regnessemはプラグインを追加する事で機能を拡張する事が出来ます。ここでは標準で添付されるプラグインや代表的なプラグインを紹介します。

  1. プラグインについて
  2. デフォルトプラグイン
    • SimpleUIプラグイン
      • クイックテキスト
    • MSNP8プロトコルプラグイン
    • FileIOプラグイン
    • ClientSocketプラグイン
    • String Resouceプラグイン
  3. 代表的なプラグイン

ナビゲーションリスト

  1. 総合目次


プラグインについて

プラグインとは

Regnessemはプラグインを追加することで機能を拡張する事が出来ます。これにより標準のプラグインでは不可能な事も、新たなプラグインを導入することで可能になります。標準でRegnessemはMSNメッセンジャーサービスに接続するためのMSNP8プラグイン、ファイル転送をサポートするFileIOプラグインが添付されています。

プラグインの入手方法

Regnessem開発サイトのプラグインライブラリから入手する事が出来ます。ライブラリへの登録は任意なので、Google等の検索エンジンから検索すると新たなプラグインが発見できるかも知れません。

プラグインの追加方法

入手したプラグインをRegnessemに追加するには、RegnessemをインストールしたフォルダにあるPluginsフォルダにdllファイルを入れて下さい。Pluginsフォルダ以外にあるdllファイルは認識しないことに注意して下さい。プラグインによって、その他の付属ファイルがある場合それらもPluginsフォルダ以下にコピーして下さい。追加したプラグインはRegnessemの再起動後に読み込まれます。

プラグインの開発

Regnessemのプラグイン仕様は開発サイトで公開されてますので、少しのプログラミング知識があれば誰でも作成する事が出来ます。

ナビゲーションリスト

  1. 総合目次 >>
  2. 目次


標準プラグインと設定

標準添付のプラグイン

Regnessemには標準でいくつかのプラグインが付属しています。これらはRegnessemの基本機能を満たすためのものです。各設定についてはそれぞれおのプラグインのページをご覧下さい。

UI プラグイン

Regnessemの標準UIとして、SimpleUIプラグインが付属しています。これは１ウィンドウでのタブを利用したマルチアカウントを扱うシンプルなユーザーインターフェースです。

プロトコルプラグイン

MSN Messenger Serviceに接続するために、RegnessemにはMSNP8プロトコルプラグインが付属しています。

アドインプラグイン

ローカルファイル入出力、ソケット管理、及び多言語に対応するために、それぞれFileIOプラグイン、ClientSocketプラグイン、String Resourceプラグインが付属しています。FileIOプラグインはファイルの送受信に、ClientSocketプラグインはMSNP8プロトコルプラグインでの接続に、String Resourceは標準で日本語と英語の切り替えに使われます。

非サポートのプラグイン

また、非サポートながらSimpleUIプラグインでIEコンポーネントを使用しないSimpleUI Doeというプラグインが添付してあります。メッセージの描画にIEコンポーネントを利用しないことで省メモリ、軽快さを得ていますが、使用に関しては自己責任でお使い下さい。

標準添付プラグイン一覧

プラグイン名 | 分類 | 機能
SimpleUI | UI | シンプルなユーザーインターフェースを提供。
SimpleUI Doe | UI | IEコンポーネントを使用しないユーザーインターフェース(非サポート)。
MSNP8 | Protocol | MSN Messenger Serviceへの接続。
FileIO | AddIn | ファイルの入出力。
ClientSocket | AddIn | ソケットの管理。
String Resource | AddIn | 多言語サポート。

ナビゲーションリスト

  1. 総合目次 >>
  2. 目次


SimpleUIプラグイン

SimpleUIプラグインについて

SimpleUIプラグインはRegnessemのデフォルトUIプラグインです。ユーザーインターフェース全般を提供します。

設定項目

SimpleUIには沢山の設定項目があります。

  • ウィンドウ全般
  • メインウィンドウ
  • メンバリスト
  • 会話ウィンドウ
  • メッセージ
  • ファイル転送ウィンドウ
  • 通知ウィンドウ
  • イベント
  • タスクトレイ
  • プロファイル
  • 外部ツール
  • プラグイン

ウィンドウ全般

動作

ウィンドウシェードを使用する
タイトルバーをダブルクリックしたときにタイトルバーのみの表示にします。
子ウィンドウをクローズせずに親ウィンドウに格納する
子ウィンドウをタブから分離しているとき、クローズボタンを押してもクローズせずに親ウィンドウのタブへ格納します。
画面描画にダブルバッファリングを使用する
ウィンドウを描画する際にダブルバッファリングを使い描画を高速化します。
ESCキーを押したときの動作
何もしない
ESCキーを押してもRegnessemは何もしません。
最小化する
ESCキーを押すと全てのウィンドウが最小化します。
隠す
ESCキーを押すと全てのウィンドウを隠します。

ウィンドウの吸着

スクリーンの端に吸着
デスクトップスクリーンの端にウィンドウを吸着させます。
他のウィンドウに吸着
近くにある他のウィンドウに吸着させます。
吸着する距離
スクリーン及び他のウィンドウとの距離がここで指定した距離になると吸着します。

フォント

スキンで設定されたフォントを上書きする
通常フォントはスキンファイルで定義されますが、これをチェックすることでスキンで定義されるフォント情報を無視し、強制的にここで指定したフォントに変更します。
文字コードセット
フォントの描画に利用する文字コードセットを指定します。

メインウィンドウ

透明度

透明度
メインウィンドウの透明度をパーセンテージで指定します。このオプションはWindows2000/XP限定です。

タブ

タブ位置
タブの表示位置を上下左右から選択します。
タブの最大文字数
1つのタブに表示する文字数を99文字までの範囲で設定します。
複数行表示する
ウィンドウの高さ、または幅に収まらないタブを複数行にして表示します。
タブにイメージを表示する
コネクションタブに接続状態を示す画像を表示します。

表示

起動時にメインウィンドウを表示する
Regnessem起動時にメインウィンドウをデスクトップに表示します。
タスクバーにメインウィンドウを表示する
タスクバーにメインウィンドウのタスクを表示します。

メンバリスト

メンバ表示のデフォルト設定

これらはプロトコルプラグインがメンバの表示状態を保持しない場合どのように表示するかのデフォルト設定を指定します。

メンバの分類
オンライン/オフライン
メンバの表示をオンラインとオフラインに分けます。
グループ
メンバの表示をグループに分けて表示します。
分類しない
メンバの表示を分類せずにそのまま表示します。
メンバの並び替え
名前
メンバを名前順に並び替えて表示します。
状態
メンバを状態順に並び替えて表示します。
アカウント
メンバをアカウント順に並び替えて表示します。

表示方法

オフラインのメンバを隠す
オフライン状態のメンバをリストに表示しません。
禁止に設定したメンバを隠す
禁止状態のメンバをリストに表示しません。
空のグループを隠す
メンバのいないグループをリストに表示しません。

その他

オンラインのメンバ数を表示する
オンライン/オフライン表示やグループ表示の時にメンバ数をグループ名の横に表示します。

会話ウィンドウ

透明度

透明度
会話ウィンドウの透明度をパーセンテージで指定します。このオプションはWindows2000/XP限定です。

タブ

タブ位置
タブの表示位置を上下左右から選択します。
タブの最大文字数
1つのタブに表示する文字数を99文字までの範囲で設定します。
複数行表示する
ウィンドウの高さ、または幅に収まらないタブを複数行にして表示します。
タブにイメージを表示する
セッションタブに接続状態を示す画像を表示します。

会話ウィンドウで[Enter]を押したときの動作

メッセージを送信する
入力されたテキストを送信します。改行はCtrl+Enterで行います。
改行を挿入する
テキストを送信せずにテキストエリア内で改行します。送信は送信ボタンを押して行います。

その他

メッセージを受信したときに指定回数点滅する
会話ウィンドウが非アクティブの時にメッセージを受信すると、ここで指定した回数キャプションを点滅させます。
メッセージ入力時に日本語入力をオンに
メッセージ入力の際に自動的にIMEをONにします。
最小化して開く
会話ウィンドウを最小化して開きます。
別窓で開く
会話ウィンドウをタブに納めず、1セッション毎にウィンドウを開きます。

メッセージ

メッセージ部分のHTMLヘッダ

チェックを入れることでテーマで定義されるheader.htmlを乗っ取り、メッセージ表示を開始するときのHTMLヘッダを定義します。<html>, <head>, <body>は無くてもシステムで追加されます。

メッセージスタイル

チェックを入れることでテーマで定義されるmsg.htmlを乗っ取ります。変数タグについては以下の表を参照して下さい。

変数タグ一覧
変数タグ名 | 説明
<!--NAME--> | ユーザー名
<!--ACCOUNT--> | アカウント
<!--NOW--> | 現在の時刻
<!--DATE--> | 現在の日付
<!--TIME--> | 現在の時間
<!--YEAR--> | 現在の西暦
<!--MONTH--> | 現在の月
<!--DAY--> | 現在の日
<!--HOUR--> | 現在の時
<!--MINUTE--> | 現在の分
<!--SECOND--> | 現在の秒

通常のメッセージヘッダ

テーマで定義されるmsg.html内で使われる<!--MSGHEAD-->を置き換えます。変数タグはメッセージスタイルで使用される変数タグと同一です。

会話履歴のメッセージヘッダ

会話ウィンドウのファイルメニューから保存したときに<!--MSGHEAD-->を置き換えます。変数タグはメッセージスタイルで使用される変数タグと同一です。

その他

受信メッセージの背景色を有効にする
メッセージ受信時に、受信したメッセージの背景色を適用します。
受信メッセージのフォントサイズを有効にする
メッセージ受信時に、受信したフォントのサイズを適用します。

ファイル転送ウィンドウ

透明度

透明度
ファイル転送ウィンドウの透明度をパーセンテージで指定します。このオプションはWindows2000/XP限定です。

タブ

タブ位置
タブの表示位置を上下左右から選択します。
タブの最大文字数
1つのタブに表示する文字数を99文字までの範囲で設定します。
複数行表示する
ウィンドウの高さ、または幅に収まらないタブを複数行にして表示します。
タブにイメージを表示する
ファイル転送セッションタブに接続状態を示す画像を表示します。

その他

変化があったときに指定回数点滅する
ファイル転送ウィンドウが非アクティブの時に状態の変化(ファイルが転送終了した等)があれば、ここで指定した回数キャプションを点滅させます。

通知ウィンドウ

通知

通知窓の表示時間
指定した秒数だけ通知ウィンドウを表示します。
ウィンドウがアクティブなときは通知しない
Regnessemのいずれかのウィンドウがアクティブの時は通知を表示しません。

透明度

透明度
通知ウィンドウの透明度をパーセンテージで指定します。このオプションはWindows2000/XP限定です。

イベント

イベントの設定画面 各イベントによる通知の詳細を設定します。項目をダブルクリックすることで通知ウィンドウの表示と再生させるサウンドファイルを指定できます。

タスクトレイ

表示

タスクトレイにアイコンを表示する
Regnessemのアイコンをタスクトレイに表示させます。タスクトレイのアイコンからはいくつかの操作ができます。

プロファイル

自動接続

ネットワーク接続の存在を確認する
接続確認用ホスト
ネットワークに接続されているかどうかを確認するホスト名を指定します。
ポート番号
上記のポート番号を指定します。

再接続

切断前と同じ状態で再接続する
ネットワークの状態等により切断された場合に、切断前の状態を復元します。

外部ツール

ブラウザ

ブラウザを指定する
会話ウィンドウに貼り付けられたURLを開くブラウザを指定します。何も指定しなかったりチェックを入れていない場合は拡張子HTMLに関連づけられたブラウザを使用します。
2chブラウザを指定する
2ちゃんねるのURLを開くブラウザを指定します。ただし、指定されたアプリケーションが引数でアドレスを渡せるもの(OpenJane等)でないと意味はありません。指定しない場合はブラウザを使って開かれます。

プラグイン

プラグインの設定画面 SimpleUI以外のプラグインはここから設定ボタンを押すことで設定ダイアログを開くことが出来ます。

ナビゲーションリスト

  1. 総合目次 >>
  2. プラグインについて >>
  3. 標準プラグインと設定


クイックテキスト

QuickText

会話ウィンドウに直接入力できるクイックテキストの編集方法です。クイックテキストは編集した後、会話ウィンドウを閉じると再読込されます。

QuickTextの編集

QuickTextはPlugins\SimpleUIフォルダ以下にQuickText.txtを置く事で利用する事ができます。QuickText.txtの書式は以下の通りです。

    メニューに表示される項目(単一行)
    実際に挿入されるテキスト(複数行可)
    #

１つの項目の最後に半角#を入れるのを忘れないで下さい。以下に実際の例を示します。

    ガ━━Σ（ﾟдﾟlll)━━ン
    ガ━━Σ（ﾟдﾟlll)━━ン
    #
    モナー
         ∧＿∧　　／￣￣￣￣￣
        （　´∀｀）＜　オマエモナー
        （　　　　） 　＼＿＿＿＿＿
        ｜ ｜　|
        （_＿）＿）
    #

ナビゲーションリスト

  1. 総合目次 >>
  2. プラグインについて >>
  3. 標準プラグインと設定 >>
  4. SimpleUIプラグイン


MSNP8プラグイン

MSNP8プラグインについて

MSNP8プラグインはMSNメッセンジャーサービスに接続するためのプロトコルプラグインです。

設定項目

接続先

ホスト
MSNメッセンジャーサービスにログインする為の接続先を指定します。通常はデフォルトでかまいません。
ポート
MSNメッセンジャーサービスにログインする為のポートを指定します。通常はデフォルトでかまいません。
サインイン時のHTTP接続にはインターネットオプションを利用
サインインするときにInternetExplorerの接続オプションを利用します。

Hotmail

起動時に未読を通知する
サインイン時に未読メールを通知ウィンドウに通知します。
受信トレイ以外のフォルダを未読に含める
Hotmailの受信トレイ以外にあるメールも未読メールとして数えます。
ブラウザ
Hotmailを開く為のブラウザを指定します。何も指定しない場合は拡張子HTMLに関連づけられたブラウザが開きます。

メンバプロファイルと.NET Serviceのチェック

ブラウザ
メンバプロファイルを参照するときや、.NET Serviceを開く時に使用するブラウザを指定します。

PNGコマンド

一定時間毎にPNGコマンドを送信する
送信間隔(分)で指定したタイミングでサーバにPNGコマンドを送信します。接続がよくとぎれる場合は短くしてみて下さい。

セッション

接続されたら会話ウィンドウを開く
相手がメッセージを送信するために会話ウィンドウを開くと同時に、Regnessemでも会話ウィンドウを開きます。
タイピング状況を通知する
会話中の相手に「～さんがタイピング中です」という通知をします。

ファイル送信

Use UPnP
UPnP-NTプラグイン(Copyright © みくろふ)が利用できる場合、ここにチェックを入れることでポートの開閉にUPnPを利用できます。
送信時に以下のポートを利用
ここで指定したポートを利用してファイル送信を行います。1ポートしか指定できないので必然的にファイル同時送信は1ファイルに制限されます。
特殊
ルータのアドレスではなくPCのアドレスを使う
通常、ファイルの送受信にはルータに割り当てられたIPアドレス(通常はグローバルIP)を使いますが、その代わりにPCのIPアドレスを使用します。
強制クライアントモード
ファイル送信時には通常サーバとして動作しますが、強制的にクライアントモードで送信します。

ナビゲーションリスト

  1. 総合目次 >>
  2. プラグインについて >>
  3. 標準プラグインと設定


FileIOプラグイン

FileIOプラグインについて

FileIOプラグインは、他のプラグインと連携してローカルファイルの入出力を行うアドインプラグインです。

設定項目

FileIOモジュールのオプション

受信ファイルの保存場所
受信したファイルを保存するフォルダを指定します。存在しないフォルダを指定した場合、ファイルは破棄されてしまう点に注意して下さい。

ナビゲーションリスト

  1. 総合目次 >>
  2. プラグインについて >>
  3. 標準プラグインと設定


ClientSocketプラグイン

ClientSocketプラグインについて

ClientSocketプラグインは通信の為のソケットを一元管理する為のアドインプラグインです。

設定項目

Proxy設定

プロキシを利用する
インターネットへの接続にプロキシサーバを利用します。
プロキシの種類
プロキシを利用する場合、利用するプロキシの種類を選択します。HTTP, SOCKS4, SOCKS5が利用可能です。
ホスト名
プロキシサーバのホスト名、もしくはIPアドレスを入力します。
ポート番号
プロキシサーバへ接続するポート番号を入力します。

ナビゲーションリスト

  1. 総合目次 >>
  2. プラグインについて >>
  3. 標準プラグインと設定


StringResourceプラグイン

StringResourceプラグインについて

StringResourceプラグインは、Regnessemの言語ロケールを決定するためのアドインプラグインです。

設定項目

言語選択

表示言語
Regnessemの言語ロケールを指定します。

言語ファイルについて

言語ファイルは以下のフォルダ、及びファイルで構成されます。StringResourceプラグインを利用し、多言語をサポートするプラグインはこのフォルダに言語ファイルを設置しなくてはなりません。

フォルダ構成

以下にStringResourceプラグインのフォルダ構成の一例を示します。Languagesフォルダ以下に各言語ロケールフォルダがあり、その中に各プラグイン毎のロケールファイルが存在します。

言語ロケールフォルダの名称はISO 639の3文字コードに従います。言語ファイル作者はこれに気をつけて新しい言語ロケールフォルダを自由に追加できます。

    Plugins                      (Regnessemのプラグインフォルダ)
      +StrRsc                    (StringResourceプラグインの設定フォルダ)
         +Languages              (言語ロケールフォルダ)
            +jpn                 (日本語ロケールフォルダ)
            |  +StrRsc.txt       (プラグインの言語ファイル)
            |  +SimpleUI.txt
            |  +MSNP8.txt
            |  +ClientSocket.txt
            +eng                 (英語ロケールフォルダ)
               +StrRsc.txt
               +SimpleUI.txt
               +MSNP8.txt
               +ClientSocket.txt

以下に幾つかのISO 639-3の例を挙げます。

ISO 639-3 コードの例
略称 | 言語
eng | 英語
jpn | 日本語
jpn-osaka | 日本語の大阪弁(特定地域の言葉はハイフンをつけて表す)
fraもしくはfre | フランス語
x-hoge | xは未定義のユーザ定義言語。ハイフンを付けて名称を表す。

言語ファイル

言語ファイルはプラグインの名前を持つテキストファイルです。中身はINIファイルに似ています。以下に言語ファイルの書式を示します。詳しくはプラグインAPIを参照して下さい。

    [SectionA]
    Key1 = Value1
    Key2 = Value2
         :
    [SectionB]
    Key1 = Value1
    Key2 = Value2

ナビゲーションリスト

  1. 総合目次 >>
  2. プラグインについて >>
  3. 標準プラグインと設定


代表的なプラグイン

代表的なプラグイン

Regnessemの機能を拡張するために様々なプラグインがあります。ここでは代表的な一部のプラグインを簡単に説明します。(全て敬称略、順不同です。)

  • UIプラグイン
  • プロトコルプラグイン
  • アドインプラグイン

UIプラグイン

プラグイン名 | 制作者(敬称略) | 説明
NsmUI | inaka | 偽メッセンジャー(仮)ライクなユーザーインターフェースを提供します。
偽偽メッセンジャーUI | inaka | 偽メッセンジャーそっくりなRegnessem用のUIプラグインです。
NUI | 502@2ch | 偽メッセンジャー(仮)ライクなユーザーインターフェースを提供します。

プロトコルプラグイン

プラグイン名 | 制作者(敬称略) | 説明
Yahoo!メッセンジャープロトコルプラグイン | - Rao - | Yahoo!メッセンジャーサービスに接続するためのプラグインです。
Yahoo!ニュースヘッドライン | - Rao - | Yahoo!ニュースヘッドラインを取得します。
Web Checker | - Rao - | 登録されたサイトを定期的にチェックします。
Yahoo!天気情報 | inaka | Yahoo!天気情報を取得します。
OpenNap Plugin | u*j*2*6* | OpenNapサーバのユーザーとチャットするためのプラグインです。
RegneJuke | みくろふ | メディアプレイヤー機能を追加します。
VerUpChecker | みくろふ | ライブラリに登録されているプラグインやテーマなどのバージョンアップ情報を取得し通知します。
ICQ_PV8 | おさ | ICQサービスに接続するためのプラグインです。
Riff | fors | Regnessem上で動作するメールチェッカです。
RegLauncher | あさ巫女 | Regnessemでプログラムランチャーを実現するためのプラグインです。
RSSReader | Sapphire | WebからRSSを取得して表示するプラグインです。
Yahoo! TV | おぼろむ | Yahoo! TV から番組表を取得してレグネ上に表示します。
2chnewth | おぼろむ | 2chの板を見て新規スレや既存スレのレス数を通知するプラグイン。

アドインプラグイン

プラグイン名 | 制作者(敬称略) | 説明
Idle | fors | Regnessemにアイドル機能を追加します。
ComLog | fors | MSNP8プラグインの通信ログを表示します。
Logger | fors | 会話履歴を自動的に保存します。
UISelector | fors | Regnessemの起動時に利用するUIモジュールを選べるようにします。
PurpleBrain | - Rao - | 人工無能を追加します。
Namer | みくろふ | 登録しているメンバの名前を好きなように変更できます。
Shader | みくろふ | 任意のウィンドウをシェードさせることができます。
UPnP-NT | みくろふ | UPnPに関するサービスを提供するプラグインです。
NSMSGS01系プラグインローダー | inaka | 偽メッセンジャー(仮)のプラグインをRegnessemで使用するためのプラグインです。
HotKey Register | おぼろむ | ステータスの変更や名前の変更、ウィンドウ操作にグローバルホットキーを割り当てるプラグインです。
SSTPer | D.N.A. | 伺かに送受信したメッセージを喋らせるプラグインです。
K-tai | 26@プラグイン作成スレ | 携帯電話に受信したメッセージをメールで送信するプラグインです。
Test | 32@プラグイン作成スレ | 受信したメッセージをメールで送信するプラグインです。
URLOpener | ぽそ | メンバの表示名に含まれるURLを開くアドインプラグインです。
NameLogger | ぽそ | ユーザとメンバの表示名のログを取るアドインプラグインです。
NameNotifier | ぽそ | ユーザの表示名をメンバに通知するためのアドインプラグインです。
Microsoft Messenger起動プラグイン | おさ | Regnessemの「機能」メニューに本家を起動するメニューを追加します。
デバッグウィンドウアクティブプラグイン | おさ | レグネのメインウィンドウがアクティブになったときに、デバッグウィンドウも連動させて手前へ出すプラグインです。

ナビゲーションリスト

  1. 総合目次 >>
  2. 目次


テーマ

Regnessem付属のSimpleUIプラグインにはテーマを適用することで外見を全く異なるものに変更する機能があります。テーマを適用するにはメインウィンドウの機能メニューからテーマを適用を選択して下さい。

  1. テーマについて
  2. 標準のテーマ
  3. テーマの作成
  4. Testテーマ解説
  5. Delphi色定数

ナビゲーションリスト

  1. 総合目次


テーマについて

テーマについて

Regnessemにはテーマという外見を変更する機能が搭載されています。これを変更することによりAqua風な外見、Luna風な外見、またまったくオリジナルの外見を作る事ができます。

テーマの入手方法

Regnessem開発サイトのテーマライブラリから入手する事が出来ます。ライブラリへの登録は任意なので、Google等の検索エンジンから検索すると新たなテーマが発見できるかも知れません。

テーマの追加方法

入手したテーマをRegnessemに追加するには、RegnessemをインストールしたフォルダにあるPlugins\SimpleUI\skinsフォルダにテーマフォルダを入れて下さい。追加したテーマはRegnessemの再起動、もしくはメインウィンドウの機能メニューからテーマを適用、テーマ一覧を更新を実行後に読み込まれます。

ナビゲーションリスト

  1. 総合目次 >>
  2. テーマ


標準のテーマ

標準のテーマ

Regnessemには標準で4種類のテーマが添付されています。

Aqua

Aquaテーマ Mac OS XのAqua風なテーマです。

Default

Defaultテーマ Windowsの標準ウィンドウを使ったデフォルトのテーマです。ウィンドウ枠等は使用するOSに依存します。

Luna

Lunaテーマ WindowsXPのLuna風なテーマです。

Test

Testテーマ Windowsの標準ウィンドウ、Aqua等のイメージウィンドウ(例えば枠に画像を使用したようなもの)を使わずに作成されたテーマです。

ナビゲーションリスト

  1. 総合目次 >>
  2. テーマ


テーマの作成

テーマの作成

Regnessemには標準で4つのテーマが付いていますが、それとは別に、またそれを参考に新たなテーマを自作する事が出来ます。ここではテーマの作成方法について基本的な事を解説します。下記のサイトでより詳しい説明がされていますので参考にするといいかも知れません。

  • Regnessem Skin(http://park1.wakwak.com/~fairy/regnessem/)
  • ◆拾ってください◆(http://suteinu_mar.at.infoseek.co.jp/index.html)

テーマの構成要素

テーマには、その構成を定義するテーマ定義ファイル(skin.ini)と各構成要素の画像部品、メッセージ履歴、絵文字定義(replace.txt)があります。通常テーマ定義ファイルはPlugins\SimpleUI\skins\固有のフォルダ以下に配置されます。

  • テーマ定義ファイル(Skin.ini)
  • メッセージ履歴
  • 絵文字定義

テーマ定義ファイル(skin.ini)

テーマ定義ファイルには画面を構成する画像部品、絵文字ファイルを定義するファイルです。Regnessemではこの定義ファイルをテーマとして読み込みます。

テーマ定義ファイルには、各構成要素のセレクタとそれに対応したプロパティを記述します。セミコロンで始まる行はコメントと見なされます。

    ;コメント
    [セレクタ]
    プロパティ=属性値
    プロパティ=属性値
    ...

セレクタ

セレクタではクラス名と状態を省略できます。また、セレクタをスペースで区切った場合そのセレクタは親セレクタに対する子セレクタとなります。テーマ定義ファイルではこれをINIセクション([]で囲まれたもの)として記述することでセレクタと認識させます。

    [要素名.クラス:状態]
    [親要素名.クラス:状態 子要素名.クラス:状態]

以下の例はウィンドウのメイン領域がアクティブになった場合のセレクタを示します。

    [Window.Main:Active]

以下の例はアクティブなウィンドウにある押されていない閉じるボタンのセレクタです。

    [Window:Active Button.Close:Up]

要素の階層図、要素名、クラス、状態については以下の表を参考にして下さい。

    +Info
    +HtmlTemplates
    +Icons
    +Images
    +Window
       +Caption
       +Clientarea
       |  +Button
       |  +Menubar
       |  +Tabset
       |  |  +Tabbutton
       |  +Scrollbar
       |  |  +Scrollsumb
       |  |  +Scrollupbutton
       |  |  +Scrolldownbutton
       |  +Statusbar
       +ResizeGrip

要素名一覧
要素名 | 親要素 | 内容
Info | なし | テーマ情報を示す特殊なセレクタです。
HtmlTemplates | なし | 会話履歴を示す特殊なセレクタです。
Icons | なし | アイコンを示す特殊なセレクタです。
Images | なし | イメージを示す特殊なセレクタです。
Window | なし | ウィンドウ領域を示します。
Caption | Window | ウィンドウのタイトルバーを示します。
Clientarea | Window | ウィンドウのクライアント領域(メンバリスト表示領域)を示します。
ResizeGrip | Window | サイズ変更つまみを示します。これを有効にするときは必ずVisibility=1にして下さい。Top, Right, Left, Bottomのプロパティ値を使用する場合はウィンドウの右下が原点となる事に気をつけて下さい(つまりTopとLeftはマイナス値になるのが普通)。これらを使用しない場合はTop=-16, Left=-16となります。
Button | Clientarea | ウィンドウの最小化、最大化、閉じるボタン等のボタンを示します。
Menubar | Clientarea | ウィンドウのメニューバーを示します。
Tabset | Clientarea | 接続タブ、会話タブ等のタブ領域を示します。
Tabbutton | Tabset | 接続タブ、会話タブ等のタブボタンを示します。
Scrollbar | Clientarea | ウィンドウに収まりきらない場合に表示されるスクロールバーを示します。
StatusBar | Clientarea | 会話ウィンドウ下部のステータスバーを示します。
Scrollthumb | Scrollbar | スクロールバーのつまみを示します。
Scrollupbutton | Scrollbar | スクロールバーの上方向ボタンを示します。
Scrolldownbutton | Scrollbar | スクロールバーの下方向ボタンを示します。
クラス一覧
クラス 適用可能要素 内容
Main
  • Window
 メイン領域
Chat
  • Window
 会話領域
Notify
  • Window
 通知領域
SelectedListItem
  • Window.Main
 選択されたメンバリストを示す特殊なクラスです。
Close
  • Button
 [閉じる]ボタン
Max
  • Button
 [最大化]ボタン
Min
  • Button
 [最小化]ボタン
Restore
  • Button
 [元のサイズ]に戻すボタン
Top
  • Tabset
  • Tabbutton
 上部
Right
  • Tabset
  • Tabbutton
 右部
Left
  • Tabset
  • Tabbutton
 左部
Bottom
  • Tabset
  • Tabbutton
 下部
状態一覧
状態 適用可能要素 内容
Active
  • Window
  • Tabbutton
 アクティブ状態を示します。
Inactive
  • Window
  • Tabbutton
 非アクティブ状態を示します。
Up
  • button
  • scrollsumb
  • scrollupbutton
  • scrolldownbutton
 ボタンが押されていない状態を示します。
Down
  • button
  • scrollsumb
  • scrollupbutton
  • scrolldownbutton
 ボタンが押された状態を示します。
Hot
  • button
 ボタンの上にマウスポインタが来た状態を示します。
システム定義
要素名.クラス | 内容
Window.Main | メインウィンドウ
Window.Main .SelectedListItem | メンバリストの選択状態
Window.Chat | 会話ウィンドウ
Window.Notify | 通知ウィンドウ
Button.Close | [閉じる]ボタン
Button.Max | [最大化]ボタン
Button.Min | [最小化]ボタン
Button.Restore | [元のサイズに戻す]ボタン
Tabset.Top | タブセット上
Tabset.Right | タブセット右
Tabset.Left | タブセット左
Tabset.Bottom | タブセット下
Tabbutton.Top | タブボタン上
Tabbutton.Right | タブボタン右
Tabbutton.Left | タブボタン左
Tabbutton.Bottom | タブボタン下

プロパティ

INIセクションで指定されるセレクタに与えるプロパティを定義します。プロパティはそのプロパティに=を用いて属性値を代入します。プロパティはCSS(Cascading Style Sheet)を参考にして作られているので、これらの知識があると多少楽かも知れません。参考リンク：CSS1仕様書邦訳(http://www.doraneko.org/webauth/css1/css1.html)

    プロパティ=属性値

プロパティには以下に挙げるシステムで定義されたプロパティのみを指定できます。また、その要素で適用できないプロパティは無視されます。

プロパティ一覧
プロパティ | 属性値 | 適用セレクタ | 説明
Name | 文字列 | Info | テーマの名前を記入します。
Author | 文字列 | Info | テーマの制作者を記入します。
Version | 文字列 | Info | テーマのバージョンを記入します。
Url | アドレス | Info | テーマの置いてあるアドレスを記入します。
Copyright | 文字列 | Info | テーマの著作権を記入します。
Thumbnail | ファイル名 | Info | テーマのサムネイル画像を指定します。
WindowIcon | ファイル名 | Icons | ウィンドウのシステムアイコンを指定します。
MainWindowIcon | ファイル名 | Icons | メインウィンドウのシステムアイコンを指定します。
ChatWindowIcon | ファイル名 | Icons | 会話ウィンドウのシステムアイコンを指定します。
NotifyWindowIcon | ファイル名 | Icons | 通知ウィンドウのシステムアイコンを指定します。
TabIcons ファイル名 Images タブに表示する状態を示す画像セットのbmpファイル名を指定します。正方形を3つ横に並べたものが1セット(例えば1つの画像が8x8ピクセルの場合、24x8ピクセル)となり、内容は左から順に、接続、切断、通知に適用されます。この画像セットは1ファイル中に1セット、2セット、4セットのいずれかで含むことが出来ます。
  • 1セット(先の例だと24x8px)：上下に適用されます。左右は画像を90度回転したものが使われます。
  • 2セット(先の例だと48x8px)：左1セットが上下、右1セットが左右に適用されます。
  • 4セット(先の例だと96x8px)：左から順に、上、右、下、左に適用されます。
CommonIcons | ファイル名 | Images | 通知ウィンドウ等に使用される144x16サイズのbmpファイルを指定します。16ピクセル幅毎に左から、警告、エラー、情報、問い合わせ、メッセージ受信、メール受信、メール送信、オンライン、オフラインに利用されます。
ListIcons | ファイル名 | Images | メンバリストに使用される111x16ピクセルのbmpファイルを指定します。16ピクセル幅毎に左から、オンライン、取り込み中(電話中)、一時退席中(退席中、昼休み)、オフライン、禁止、閉じたグループ、開いたグループに使用されます。
HeaderTemplate | ファイル名 | HtmlTemplates | 会話ウィンドウでのメッセージ履歴部分に適用するHTMLヘッダファイルを指定します。記述方法は下記で詳述します。
MessageTemplate | ファイル名 | HtmlTemplates | 会話ウィンドウでのメッセージ履歴に表示するメッセージ本文に適用するHTMLテンプレートを指定します。記述方法は下記で詳述します。
ReplaceTable | ファイル名 | HtmlTemplates | 会話ウィンドウでのメッセージ履歴で、受信した単語をイメージに置き換えるテーブルを指定します。記述方法は下記で詳述します。
Clone | 要素名 | Window以下の全て | 指定される要素のプロパティをコピーします。循環参照(要素Aが要素Bを参照し、要素Bが要素Aを参照する事)にならないように気を付けて下さい。
Font-Charset | 文字列 | Window以下の全て | フォントのキャラクタセット(例えばSHIFTJIS_CHARSET等)を指定します。SimpleUIのオプションでフォントを上書きする際、ここの値がSYMBOL_CHARSETだと上書きされません。Marlettといった閉じるボタンに使われるシンボルフォントを指定する場合に有効です。
Font-Color | 色 | Window以下の全て | フォントの色を指定します。
Font-Family | フォント名 | Window以下の全て | フォントを指定します。
Font-Style
  • Bold
  • Italic
  • Underline
  • Strikeout
 Window以下の全て フォントスタイルを指定します。
Font-Size | ポイント | Window以下の全て | フォントのサイズをポイントで指定します。
Text-Align
  • Left
  • Center
  • Right
 Window以下の全て テキストの表示位置を指定します。
Padding-Top | ピクセル | Window以下の全て | 上のパディング幅を指定します。
Padding-Left | ピクセル | Window以下の全て | 左のパディング幅を指定します。
Padding-Right | ピクセル | Window以下の全て | 右のパディング幅を指定します。
Padding-Bottom | ピクセル | Window以下の全て | 下のパディング幅を指定します。
Border-Style
  • None
  • Solid
  • Dashed
  • Dotted
  • Double
  • Inset
  • Outset
  • Groove
  • Ridge
  • Image
  • System
 Window以下の全て ボーダーのスタイルを指定します。これはCSS(Cascading Style Sheet)で指定される値と同じです。次のリンクを参考にして下さい。CSS1仕様書邦訳5.5.17Border-Style(http://www.doraneko.org/webauth/css1/css1.html#border-style) また、Image,Systemは以下のように解釈されます。
  • Image：画像ファイルを使います。
  • System：通常のウィンドウ枠を使います。
Border-Width | ピクセル | Window以下の全て | ボーダーの幅を指定します。
Border-Color | 色 | Window以下の全て | ボーダーの色を指定します。
Border-Top-Image | ファイル名 | Window以下の全て | ボーダーの上部の画像ファイルを指定します。
Border-Left-Image | ファイル名 | Window以下の全て | ボーダーの左部の画像ファイルを指定します。
Border-Right-Image | ファイル名 | Window以下の全て | ボーダーの右部の画像ファイルを指定します。
Border-Bottom-Image | ファイル名 | Window以下の全て | ボーダーの下部の画像ファイルを指定します。
Border-TopLeft-Image | ファイル名 | Window以下の全て | ボーダーの上左部の角の画像ファイルを指定します。
Border-TopRight-Image | ファイル名 | Window以下の全て | ボーダーの上右部の角の画像ファイルを指定します。
Border-BottomLeft-Image | ファイル名 | Window以下の全て | ボーダーの下左部の角の画像ファイルを指定します。
Border-BottomRight-Image | ファイル名 | Window以下の全て | ボーダーの下右部の角の画像ファイルを指定します。
Background-Color | 色 | Window以下の全て | 背景色を指定します。
Background-Image | ファイル名 | Window以下の全て | 背景に用いる画像ファイルを指定します。
Background-Mode
  • Repeat
  • Repeat-X
  • Repeat-Y
  • No-Repeat
  • Stretch
  • Right-Bottom
 Window以下の全て 背景の表示位置を指定します。
  • Repeat：全体に繰り返して表示します。
  • Repeat-X：水平方向に繰り返して表示します。
  • Repeat-Y：垂直方向に繰り返して表示します。
  • No-Repeat：繰り返し表示しません。
  • Stretch：場所を固定します。
  • Right-Bottom：右下のみに表示します。
Transparent-Color | clNone | Window以下の全て | イメージの透過色を指定します。clNoneの時は透過色なし、それ以外の時はclFuchsiaを透過色として使います。
Top | ピクセル | Window以下の全て | 絶対位置の上座標をピクセル指定します。
Right | ピクセル | Window以下の全て | 絶対位置の右座標をピクセル指定します。
Left | ピクセル | Window以下の全て | 絶対位置の左座標をピクセル指定します。
Bottom | ピクセル | Window以下の全て | 絶対位置の下座標をピクセル指定します。
Visibility
  • 0
  • 1
 Window以下の全て 0で不可視、1で可視になります。
属性値詳細
属性値 | 説明
色 以下の3種類の方法が指定できます。
  • #RRGGBB：CSS等で使用される色定義
  • $AABBGGRR：AA(α値)BB(青)GG(緑)RR(赤)
  • Delphi色定数：clBtnFace, clWindow, clRed等
ピクセル | ピクセルを指定します。単位は必要ありません。
ポイント | 文字のポイントサイズを指定します。単位は必要はありません。
フォント名 | システムにインストールされているフォント名(MS ゴシック等)を指定します。
ファイル名 | 画像ファイルのパスを含めたファイル名を指定します。パスは相対パスでも絶対パスでも構いません。画像ファイルはビットマップ(bmp)形式を指定します。

メッセージ履歴

HtmlTemplatesセレクタで定義されるHtmlHeader及びMessageHeaderについて解説します。

HtmlHeader

HtmlHeaderで指定されるファイルは会話履歴の表示に利用するヘッダを指定します。通常は以下のように記述します。もちろん記述には通常のHTMLを使用しますので、HTMLで扱えるものは全て扱うことができます。

    <HTML>
    <HEAD>
    <!--BASE-->
    </HEAD>
    <BODY>
    <DL>

先に述べた通り、HTMLで扱えるものは全て扱う事が出来るので、外部CSSを定義し、CSSによるスタイルシートの適用も出来ます。例えばchat.cssを外部スタイルシートとして使用する場合は以下のようなテンプレートを記述します。

    <HTML>
    <HEAD>
    <!--BASE-->
    <LINK rel="stylesheet" href="chat.css">
    </HEAD>
    <BODY>
    <DL>

ここで指定される<!--BASE-->はシステムが使用しますので必ず入れるようにして下さい。これを利用してシステムはテーマの相対フォルダを理解します。

MessageHeader

MessageHeaderで指定されるファイルは会話履歴の本文の表示に利用するテンプレートファイルです。2つの変数タグとHTMLで扱える全てのタグが利用できます。

    <DT><!--MSGHEAD--></DT>
    <DD><!--MSGBODY--></DD>

変数タグ名 | 置き換え内容
<!--MSGHEAD--> | オプションの会話ウィンドウのメッセージ設定で指定される通常のメッセージヘッダに置換されます。
<!--MSGBODY--> | メッセージ本文に置換されます。

絵文字定義

HtmlTemplatesセレクタで定義されるReplaceTableについて解説します。

ReplaceTableはIMで扱う絵文字と文字列の置換テーブルを定義したファイルです。Regnessemは受信したメッセージをこの置換テーブルを使って絵文字であるかそうでないかを判別します。

    対象文字列[TAB]置換文字列[TAB]プロトコル名[TAB]表示フラグ

対象文字列 | 送受信メッセージ中にこの文字と一致するものがある場合、置換文字列に置換します。
置換文字列 | 対象文字列がこのフィールドで指定される文字列に置換されます。通常ここにはIMG要素を書くことで絵文字を表示させます。
プロトコル名 | 置換対象となる会話のプロトコル名(MSNP8やYMSG)を指定します。全てのプロトコルで使用したい場合はALLを指定します。 同じ対象文字列がある場合、一番最初に見つかったプロトコルが適用されます。ALL指定は一番末尾に書いておくのが望ましいでしょう。
表示フラグ | 会話ウィンドウの絵文字ショートカットに表示させる場合は1を、表示させない場合は0を指定します。

注意：ここではタブ文字を[TAB]と表記しています。実際には[TAB]をタブ文字に置き換えて指定して下さい。

ナビゲーションリスト

  1. 総合目次 >>
  2. テーマ


Testテーマ解説

概要

Regnessemα14付属のTestテーマの解説です。Testテーマはイメージ系をほとんど使わず、またWindowsの標準ウィンドウ枠も使わないテーマです。ここではTestテーマのSkin.iniのセレクタ毎に順を追って解説をしていきます。

  • [Info]
  • [Window]
  • [Caption]
  • [ClientArea]
  • [Button.Close]
  • [Button.Max]
  • [Button.Max:Up]
  • [Button.Max:Down]
  • [Button.Max:Hot]
  • [Button.Min]
  • [Button.Min:Up]
  • [Button.Min:Down]
  • [Button.Min:Hot]
  • [Button.Restore:Up]
  • [Button.Restore:Down]
  • [Button.Restore:Hot]
  • [Button:Up]
  • [Button:Down]
  • [MenuBar]
  • [TabSet]
  • [TabButton:Active]
  • [TabButton:Inactive]
  • [ScrollBar]
  • [ScrollThumbs]
  • [ScrollUpButton:Up]
  • [ScrollUpButton:Down]
  • [ScrollDownButton:Up]
  • [ScrollDownButton:Down]
  • [Window.Main .SelectedListItem]
  • [HtmlTemplates]
  • [Icons]
  • [Images]

[Info]セレクタ

[Info]セレクタにはこのテーマに関する情報が納められています。

    Name = Atok16
    Author = 山ねこ
    Version = 0.1
    Url = http://www.be.wakwak.com/~ymnk/
    Copyright = Copyright (c) 2001-2003 Yamaneko
    Thumbnail =
    Comment = Atok16風味

プロパティ名 | 値 | 説明
Name | Atok16 | このテーマの名前を示しています。このテーマの正式名称はTestテーマではなくAtok16という名前のテーマです。
Author | 山ねこ | 制作者情報です。山ねこさんが作ったテーマであることを示しています。
Version | 0.1 | バージョン情報です。現在0.1である事を示しています。
Url | http://www.be.wakwak.com/~ymnk/ | このテーマについての情報があるアドレスです。(注意：このサイトは以前Regnessemの配布サイトでしたが、山ねこさんの開発停止宣言と共に消滅しましたので現在は存在しません。)
Copyright | Copyright (c) 2001-2003 Yamaneko | 著作権情報です。このテーマの著作権はYamanekoさんにあることを示しています。
Thumbnail | なし | サムネイル画像ですが、サムネイル画像はないので表記していません。
Comment | Atok16風味 | テーマの情報です。このテーマはAtok16風味である事を示しています。

[Window]セレクタ

Regnessemのウィンドウを設定しているセレクタです。ここでウィンドウはWindowsの標準ウィンドウ枠ではなく、フラットなボーダー型であることを記述しています。

    Border-Style = Solid
    Border-Width = 1
    Border-Color = clWindowFrame
    Background-Color = clInactiveCaption

プロパティ名 | 値 | 説明
Border-Style | Solid | ウィンドウ枠が標準ウィンドウ枠ではなく、Solid(直線)である事を指定しています。
Border-Width | 1 | ウィンドウ枠の大きさを1ピクセルであると指定しています。
Border-Color | clWindowFrame | ウィンドウ枠の色をclWindowFrame色に指定しています。clWindowFrameとはDelphiのTColor色定数でシステム(Windows)で定められたウィンドウのフレームに用いる色であると定められています。
Background-Color | clInactiveCaption | ウィンドウの背景色をclInactiveCaption色に指定しています。clInactiveCaptionはシステム(Windows)で定められた非選択状態のウィンドウのタイトルバーの色であると定められています。

[Caption]セレクタ

ウィンドウのタイトルバーに関する設定を記述しているセレクタです。

    Font-Color = clCaptionText
    Font-Style = Bold
    Text-Align = Left
    Padding-Left = 5
    Padding-Right = 55

プロパティ名 | 値 | 説明
Font-Color | clCaptionText | タイトルに表示される文字列をclCaptionText色に指定しています。clCaptionTextはシステム(Windows)で定められたウィンドウのタイトルバーの文字色であると定められています。
Font-Style | Bold | タイトルに表示される文字列をボールド体(太字)に指定しています。
Text-Align | Left | タイトルに表示される文字列を左寄せで表示するように指定しています。
Padding-Left | 5 | タイトルに表示される文字列の左余白を5ピクセル空けています。
Padding-Right | 55 | タイトルに表示される文字列の右余白を55ピクセル空けています。これは[閉じる]ボタン等にタイトル文字列が重ならないようにするためです。

[ClientArea]セレクタ

メンバリストが表示される領域のウィンドウ情報を記述しています。

    Background-Color = clWindow
    Border-Style = Solid
    Border-Width = 1
    Border-Color = clWindowFrame

プロパティ名 | 値 | 説明
Background-Color | clWindow | メンバリスト表示領域の背景色をclWindow色に指定しています。clWindowはシステム(Windows)で定められたウィンドウの色であると定められています。
Border-Style | Solid | メンバリスト表示領域がSolid(直線)である事を指定しています。
Border-Width | 1 | メンバリスト表示領域の枠大きさを1ピクセルであると指定しています。
Border-Color | clWindowFrame | メンバリスト表示領域の枠の色をclWindowFrame色に指定しています。clWindowFrameはシステム(Windows)で定められたウィンドウのフレームに用いる色であると定められています。

[Button.Close]セレクタ

ウィンドウの閉じるボタンに関する設定を記述します。

    Top = 3
    Right = 5
    Width = 14
    Height = 14
    Text-Align = Center
    Font-Family = Marlett
    Font-Charset = SYMBOL_CHARSET
    Font-Size = 8

プロパティ名 | 値 | 説明
Top | 3 | 閉じるボタンの配置位置を上から3ピクセルに設定しています。
Right | 5 | 閉じるボタンの配置位置を右から5ピクセルに設定しています。
Width | 14 | 閉じるボタンの幅は14ピクセルだと指定しています。
Hright | 14 | 閉じるボタンの高さは14ピクセルだと指定しています。
Text-Align | Center | 閉じるボタンの内部テキストは中央揃えで配置されます。
Font-Family | Marlett | 閉じるボタンのフォントにはMarlettフォントを指定しています。Marlettフォントはシステムのウィンドウ枠等の基本パターンを納めたフォントです。詳細はhttp://www.zdnet.co.jp/help/tips/windows/w0288.htmlを参照して下さい。
Font-Charset | SYMBOL_CHARSET | Marlettフォントはシンボルフォントなので、SimpleUIによるフォント上書きに影響されないようにキャラクタセットを指定しています。
Font-Size | 8 | フォントの大きさを8ポイントに指定しています。

[Button.Close:Up]セレクタ

閉じるボタンが押されていない状態の設定です。明示的に[Button.Close]セレクタの設定を継承している点に注意して下さい。

    Clone = Button.Close
    Border-Style = Solid
    Border-Color = clWindowFrame
    Background-Color = clWindow
    Font-Color = clWindowText

プロパティ名 | 値 | 説明
Clone | Button.Close | このセレクタは[Button.Close]セレクタの設定を継承している事を指定します。明示的に指定しなければ設定は継承されません。
Border-Style | Solid | 閉じるボタンの枠をSolid(直線)に指定しています。
Border-Color | clWindowFrame | 閉じるボタンの枠の色をclWindowFrame色に指定しています。clWindowFrameはシステム(Windows)で定められたウィンドウのフレームに用いる色であると定められています。
Background-Color | clWindow | 閉じるボタンの背景色をclWindowに指定しています。clWindowはシステム(Windows)で定められたウィンドウに用いる色であると定められています。
Font-Color | clWindowText | 閉じるボタンのフォント色をclWindowTextに指定しています。clWindowTextはシステム(Windows)で定められた文字列に用いる色であると定められています。

[Button.Close:Down]セレクタ

閉じるボタンが押された状態の設定を記述します。背景色の違いがあるだけで、基本的には[Button.Close:Up]セレクタと同じ設定ですので説明は省略します。

    Clone = Button.Close
    Border-Style = Solid
    Border-Color = clWindow
    Background-Color = clInactiveCaption
    Font-Color = clWindow

[Button.Close:Hot]セレクタ

閉じるボタンの上にマウスカーソルが来たときの状態を記述します。ここでは[Button.Close:Up]セレクタの設定を継承しているだけです。

    Clone = Button.Close:Up

[Button.Max]セレクタ

ウィンドウの最大化ボタンに関する設定です。基本的には[Button.Close]セレクタと同じですが、配置位置をずらすためにTop,Rightのプロパティ値が違っています。

    Top = 3
    Right = 21
    Width = 14
    Height = 14
    Text-Align = Center
    Font-Family = Marlett
    Font-Charset = SYMBOL_CHARSET
    Font-Size = 8

[Button.Max:Up]セレクタ

最大化ボタンが押されていない状態の設定です。基本的に[Button.Close:Up]セレクタと同じです。

    Clone = Button.Max
    Border-Style = Solid
    Border-Color = clWindowFrame
    Background-Color = clWindow
    Font-Color = clWindowText

[Button.Max:Down]セレクタ

最大化ボタンが押された状態の設定です。基本的に[Button.Close:Down]セレクタと同じです。

    Clone = Button.Max
    Border-Style = Solid
    Border-Color = clWindow
    Background-Color = clInactiveWindow
    Font-Color = clWindow

[Button.Max:Hot]セレクタ

最大化ボタンの上にマウスカーソルが来たときの状態の設定です。基本的に[Button.Close:Hot]セレクタと同じです。

    Clone = Button.Max:Up

[Button.Min]セレクタ

ウィンドウの最小化ボタンに関する設定です。基本的には[Button.Close]セレクタと同じですが、配置位置をずらすためにTop,Rightのプロパティ値が違っています。

    Top = 3
    Right = 37
    Width = 14
    Height = 14
    Text-Align = Center
    Font-Family = Marlett
    Font-Charset = SYMBOL_CHARSET
    Font-Size = 8

[Button.Min:Up]セレクタ

最小化ボタンが押されていない状態の設定です。基本的に[Button.Close:Up]セレクタと同じです。

    Clone = Button.Min
    Border-Style = Solid
    Border-Color = clWindowFrame
    Background-Color = clWindow
    Font-Color = clWindowText

[Button.Min:Down]セレクタ

最小化ボタンが押された状態の設定です。基本的に[Button.Close:Down]セレクタと同じです。

    Clone = Button.Min
    Border-Style = Solid
    Border-Color = clWindow
    Background-Color = clInactiveWindow
    Font-Color = clWindow

[Button.Min:Hot]セレクタ

最小化ボタンの上にマウスカーソルが来たときの状態の設定です。基本的に[Button.Close:Hot]セレクタと同じです。

    Clone = Button.Min:Up

[Button.Restore:Up]セレクタ

ウィンドウの元に戻すボタンが押されていない状態の設定です。ここでは[Button.Max:Up]セレクタの設定を継承しているだけです。

    Clone = Button.Max:Up

[Button.Restore:Down]セレクタ

ウィンドウの元に戻すボタンが押された状態の設定です。ここでは[Button.Max:Down]セレクタの設定を継承しているだけです。

    Clone = Button.Max:Down

[Button.Restore:Hot]セレクタ

ウィンドウの元に戻すボタンの上にマウスカーソルが来た時の状態の設定です。ここでは[Button.Max:Hot]セレクタの設定を継承しているだけです。

    Clone = Button.Max:Hot

[Button.Up]セレクタ

プッシュボタンが押されていない状態の設定です。SimpleUIで目に見える効果が出る場所は、プラグインの設定ボタン、プロファイル管理ウィンドウのボタン等です。

    Background-Color = clWindow
    Font-Color = clWindowText
    Border-Width = 1
    Border-Style = Solid
    Border-Color = clBtnShadow

プロパティ名 | 値 | 説明
Background-Color | clWindow | プッシュボタンの背景をclWindow色に設定しています。clWindowはシステム(Windows)で定められたウィンドウに用いる色であると定められています。
Font-Color | clWindowText | プッシュボタンのフォント色をclWindowText色に設定しています。clWindowTextはシステム(Windows)で定められたウィンドウ内のフォントカラーに用いる色であると定められています。
Border-Width | 1 | プッシュボタンの枠の幅を1ピクセルに設定しています。
Border-Style | Solid | プッシュボタンの枠をSolid(直線)に設定しています。
Border-Color | clBtnShadow | プッシュボタンの枠の色をclBtnShadow色に設定しています。clBtnShadowはシステム(Windows)で定められたプッシュボタンの影に用いる色であると定められています。

[Button.Down]セレクタ

プッシュボタンが押された状態の設定です。SimpleUIで目に見える効果が出る場所は、プラグインの設定ボタン、プロファイル管理ウィンドウのボタン等です。

    Background-Color = clInactiveCaption
    Font-Color = clWindow
    Border-Style = None

プロパティ名 | 値 | 説明
Background-Color | clWindow | プッシュボタンの背景をclWindow色に設定しています。clWindowはシステム(Windows)で定められたウィンドウに用いる色であると定められています。
Font-Color | clWindowText | プッシュボタンのフォント色をclWindowText色に設定しています。clWindowTextはシステム(Windows)で定められたウィンドウ内のフォントカラーに用いる色であると定められています。
Border-Style | None | プッシュボタンの枠をNone(なし)に設定しています。

[MenuBar]セレクタ

メインウィンドウや会話ウィンドウのメニューに関する設定です。

    Font-Color = clBtnText
    Background-Color = clBtnFace

プロパティ名 | 値 | 説明
Font-Color | clBtnText | メニューのフォント色をclBtnText色に設定しています。clBtnTextはシステム(Windows)で定められたプッシュボタンのフォントカラーに用いる色であると定められています。
Background-Color | clBtnFace | メニューの背景色をclBtnFace色に設定しています。clBtnFaceはシステム(Windows)で定められたプッシュボタンの前面色に用いる色であると定められています。

[TabSet]セレクタ

複数接続、複数会話等でのタブ領域に関する設定です。タブ領域の設定なので、この設定はタブボタンには反映されません。

    Font-Color = clBtnText
    Background-Color = clBtnFace

プロパティ名 | 値 | 説明
Font-Color | clBtnText | タブ領域のフォント色をclBtnText色に設定しています。clBtnTextはシステム(Windows)で定められたプッシュボタンのフォントカラーに用いる色であると定められています。
Background-Color | clBtnFace | タブ領域の背景色をclBtnFace色に設定しています。clBtnFaceはシステム(Windows)で定められたプッシュボタンの前面色に用いる色であると定められています。

[TabButton:Active]セレクタ

複数接続、複数会話等での選択状態のタブボタンに関する設定です。

    Font-Color = clWindow
    Background-Color = clInactiveCaption
    Border-Style = Solid
    Border-Color = clWindowFrame

プロパティ名 | 値 | 説明
Font-Color | clWindow | タブボタンの背景をclWindow色に設定しています。clWindowはシステム(Windows)で定められたウィンドウに用いる色であると定められています。
Background-Color | clInactiveWindow | タブボタンの背景をclInactiveWindow色に設定しています。clInactiveWindowはシステム(Windows)で定められた非選択状態のウィンドウに用いる色であると定められています。
Border-Style | Solid | タブボタンの枠をSolid(直線)に設定しています。
Border-Color | clWindowFrame | タブボタンの枠の色をclWindowFrame色に指定しています。clWindowFrameはシステム(Windows)で定められたウィンドウのフレームに用いる色であると定められています。

[TabButton:Inactive]セレクタ

複数接続、複数会話等での非選択状態のタブボタンに関する設定です。

    Font-Color = clBtnText
    Background-Color = clBtnFace

プロパティ名 | 値 | 説明
Font-Color | clBtnText | 非選択状態のタブボタンのフォント色をclBtnText色に設定しています。clBtnTextはシステム(Windows)で定められたプッシュボタンのフォントカラーに用いる色であると定められています。
Background-Color | clBtnFace | 非選択状態のタブボタンの背景色をclBtnFace色に設定しています。clBtnFaceはシステム(Windows)で定められたプッシュボタンの前面色に用いる色であると定められています。

[ScrollBar]セレクタ

リストがウィンドウに収まりきらない時に表示される、スクロールバー領域に関する設定です。会話履歴のスクロールバー、タブ領域の上下ボタンには適用されず、またこの領域を設定するセレクタは存在しません。

    Border-Style = None
    Background-Color = clWindow

プロパティ名 | 値 | 説明
Border-Style | None | スクロールバー領域の枠をNone(なし)に設定しています。
Background-Color | clWindow | スクロールバー領域の背景色をclWindow色に指定しています。clWindowはシステム(Windows)で定められたウィンドウの色であると定められています。

[ScrollThumbs]セレクタ

表示領域を上下にスクロールさせるスクロールバーのつまみを設定します。

    Border-Style = Solid
    Border-Color = clBtnShadow
    Background-Color = clBtnFace

プロパティ名 | 値 | 説明
Border-Style | Solid | スクロールバーの"つまみ"をSolid(直線)に設定しています。
Border-Color | clBtnShadow | スクロールバーの"つまみ"の枠の色をclBtnShadow色に設定しています。clBtnShadowはシステム(Windows)で定められたプッシュボタンの影に用いる色であると定められています。
Background-Color | clBtnFace | スクロールバーの"つまみ"の背景色をclBtnFace色に設定しています。clBtnFaceはシステム(Windows)で定められたプッシュボタンの前面色に用いる色であると定められています。

[ScrollUpButton:Up]セレクタ

表示領域を上に移動させるためのスクロールバーボタンが押されていない状態を設定します。

    Border-Style = Solid
    Border-Color = clBtnShadow
    Background-Color = clBtnFace
    Font-Color = clBtnText

プロパティ名 | 値 | 説明
Border-Style | Solid | 押されていないスクロールバーの上ボタンをSolid(直線)に設定しています。
Border-Color | clBtnShadow | 押されていないスクロールバーの上ボタンの枠の色をclBtnShadow色に設定しています。clBtnShadowはシステム(Windows)で定められたプッシュボタンの影に用いる色であると定められています。
Background-Color | clBtnFace | 押されていないスクロールバーの上ボタンの背景色をclBtnFace色に設定しています。clBtnFaceはシステム(Windows)で定められたプッシュボタンの前面色に用いる色であると定められています。
Font-Color | clBtnText | 押されていないスクロールバーの上ボタンのフォント色をclBtnText色に設定しています。clBtnTextはシステム(Windows)で定められたプッシュボタンのフォントカラーに用いる色であると定められています。

[ScrollUpButton:Down]セレクタ

表示領域を上に移動させるためのスクロールバーボタンが押された状態を設定します。

    Border-Style = Solid
    Border-Color = clWindowFrame
    Background-Color = clInactiveCaption
    Font-Color = clWindow

プロパティ名 | 値 | 説明
Border-Style | Solid | 押されたスクロールバーの上ボタンの枠をSolid(直線)に設定しています。
Border-Color | clWindowFrame | 押されたスクロールバーの上ボタンの枠の色をclWindowFrame色に指定しています。clWindowFrameはシステム(Windows)で定められたウィンドウのフレームに用いる色であると定められています。
Background-Color | clInactiveCaption | 押されたスクロールバーの上ボタンの背景をclInactiveWindow色に設定しています。clInactiveWindowはシステム(Windows)で定められた非選択状態のウィンドウに用いる色であると定められています。
Font-Color | clWindow | 押されたスクロールバーの上ボタンのフォント色をclWindow色に設定しています。clWindowはシステム(Windows)で定められたウィンドウに用いる色であると定められています。

[ScrollDownButton:Up]セレクタ

表示領域を下に移動させるためのスクロールバーボタンが押されていない状態を設定します。このプロパティは[ScrollUpButton:Up]セレクタと同一です。Cloneを使って継承しても同じ結果になります。

    Border-Style = Solid
    Border-Color = clBtnShadow
    Background-Color = clBtnFace
    Font-Color = clBtnText

[ScrollDownButton:Down]セレクタ

表示領域を下に移動させるためのスクロールバーボタンが押された状態を設定します。このプロパティは[ScrollUpButton:Down]セレクタと同一です。Cloneを使って継承しても同じ結果になります。

    Border-Style = Solid
    Border-Color = clWindowFrame
    Background-Color = clInactiveCaption
    Font-Color = clWindow

[Window.Main .SelectedListItem]セレクタ

メンバリストのメンバが選択された状態を設定します。

    Background-Color = clWhite
    Font-Color = clHotlight
    Border-Color = clHotlight
    Border-Style = Solid

プロパティ名 | 値 | 説明
Background-Color | clWhite | 選択されたメンバの背景色をclWhiteに設定します。clWhiteはDelphi色定数で白(#FFFFFF)に定められています。
Font-Color | clHotlight | 選択されたメンバのフォント色をclHotlightに設定します。clHotlightはDelphi色定数でシステムの選択項目の色に定められています。
Border-Color | clHotlight | 選択されたメンバの枠の色をclHotlightに設定します。clHotlightはDelphi色定数でシステムの選択項目の色に定められています。
Border-Style | Solid | 選択されたメンバの枠をSolid(直線)に設定します。

[HtmlTemplates]セレクタ

会話履歴表示に使われるHTMLテンプレートの設定です。ここではDefaultテーマのテンプレートを使うことを明示的に指定しています。

    HeaderTemplate = ../Default/html/Header.html
    MessageTemplate = ../Default/html/Msg.html
    ReplaceTable = ../Default/html/replace.txt

[Icons]セレクタ

メインウィンドウや会話ウィンドウ等で用いるシステムアイコンの設定です。ここでは何も指定していません。何も指定してない場合は、勿論何も表示されません。

    WindowIcon =
    MainWindowIcon =
    ChatWindowIcon =
    NotifyWindowIcon =

[Images]セレクタ

オンライン、オフラインや通知等で使われるアイコンイメージの設定です。ここでは何も指定していません。何も指定していない場合はシステムの内部イメージが使われます。

    CommonIcons =
    ListIcons =

ナビゲーションリスト

  1. 総合目次 >>
  2. テーマ


Delphi色定数

Delphi色定数

テーマで使用できるDelphi色定数表です。ここに記載した全ての色定数がテーマに使うことができます。

Delphi色定数表
色定数名 | 説明
clNone
  • Windows 9x/Me : 白色
  • Windows NT/2000/XP : 黒色
clAqua | 空色
clBlack | 黒色
clBlue | 青色
clCream | 淡黄色
clDkGray | 灰色(暗)
clFuchsia | 赤紫色
clGray | 灰色
clGreen | 緑色
clLime | 濃緑色
clLtGray | 灰色(明)
clMaroon | 栗色
clMedGray | 50%灰色
clMoneyGreen | ミントグリーン
clNavy | 濃紺色
clOlive | 黄緑色
clPurple | 紫色
clRed | 赤色
clSilver | 銀色
clSkyBlue | スカイブルー
clTeal | 暗青緑色
clWhite | 白色
clYellow | 黄色
clScrollBar | スクロールバーのトラックの現在の色
clBackground | Windowsデスクトップの背景色
clActiveCaption | アクティブウィンドウのタイトルバーの色
clInactiveWindow | アクティブでないウィンドウのタイトルバーの色
clMenu | メニューの背景色
clWindow | ウィンドウの背景色
clWindowFrame | ウィンドウ枠の色
clMenuText | メニュー上の文字の色
clWindowText | ウィンドウ内の文字の色
clCaptionText | アクティブウィンドウのタイトルバーの文字の色
clActiveBorder | アクティブウィンドウの境界色
clInactiveBorder | アクティブでないウィンドウの境界色
clAppWorkSpace | アプリケーション作業領域の色
clHighlight | 選択した文字の背景色
clHighlightText | 選択した文字の色
clBtnFace | ボタン面の色
clBtnShadow | ボタンのシャドウテキストの色
clGrayText | 淡色表示されている文字の色
clBtnText | ボタンの文字の色
clInactiveCaptionWindow | アクティブでないウィンドウのタイトルバーの文字の色
clBtnHighlight | ボタンの強調表示の色ボタンの強調表示の色
cl3DDkShadow | Windows95とNT4.0のみ。3次元表示要素の暗い影
cl3DLight | Windows95とNT4.0のみ。3次元表示要素の明るい色(明るい面の縁用)
clInfoText | Windows95とNT4.0のみ。ツールチップコントロールの文字の色
clInfoBk | Windows95とNT4.0のみ。ツールチップコントロールの背景色
clGradientActiveCaption | Windows98とWindows2000。アクティブウィンドウのタイトルバーにおける色のグラデーションの右側の色。clActiveCaptionは左側の色を指定する。
clGradientInactiveWindow | Windows98とWindows2000。非アクティブウィンドウのタイトルバーにおける色のグラデーションの右側の色。clActiveCaptionは左側の色を指定する。
clDefault | 色が割り当てられるコントロールのデフォルトの色
clHotlight | 選択項目の色

ナビゲーションリスト

  1. 総合目次 >>
  2. テーマ


エラーメッセージ

Regnessemが出すエラーにはプログラム自体のエラーによるダイアログと、通信に関するエラーの2種類があります。ここでは通信関係のエラーメッセージを簡単に掲載します。

  1. Socket Error
  2. Protocol Error

ナビゲーションリスト

  1. 総合目次


Socket Error

Socket Errorは主にWindows自体の通信が出来ない状態になった時に出るエラーです。詳しい説明はWinsock Development Information等をご覧下さい。原因としては主にLAN接続が正しくなかったり、回線そのものが切断されていなかったりといったことが考えられます。

ナビゲーションリスト

  1. 総合目次 >>
  2. エラーメッセージ


Protocol Error

Protocol ErrorはMSNP8プロトコルプラグインがMSN Messenger Serviceとの通信でエラーがあったときに通知されるエラーです。詳しくはMSN Messenger Protocol - Reference - ErrorListをご覧下さい。

エラーリスト

エラー番号 | 内容 | 原因や対処方法
200 | 無効な構文です | 起きたことがありませんが、起こったとすればプログラム側の問題です。
201 | 無効なパラメータ | サーバへ送信するコマンドのパラメータが間違っています。プログラム側の問題です。
205 | 無効なユーザー | メンバを追加しようとしましたが、そのようなユーザーは存在しません。
206 | ドメイン名が失われています。 | 起きたことがないので原因不明です。
207 | 既にログインしています | 既にメッセンジャーサービスにログインした状態でログインしようとしました。プログラム側の問題だと思われます。
208 | 無効なユーザー名 | 無効なアカウントネームを使用しました。正しいアカウントを指定して下さい。
209 | ニックネームを不当なものに変更しました | サーバによってブロックされた単語等を含んだ名前の為に変更できません。
210 | ユーザーリストが一杯です | MSNメッセンジャーサービスでは150人までしかユーザーを追加する事が出来ません。ユーザーを整理して150人以下にしてから登録して下さい。
215 | ユーザーは既にリストに存在します | ユーザーを追加しようとしましたがそのユーザーは既にリストに存在しています。
216 | ユーザーがリストに存在しません | リストからユーザーを削除しようとしましたが、そのユーザーは既にリストに存在しません。
217 | ユーザーはオンラインではありません | オフラインのユーザーに対して操作を実行しました。ユーザーがオンラインの時に操作して下さい。
218 | 既にそのモードです | モードを変更しようとしましたが、既にそのモードになっています。プログラム側の原因です。
219 | ユーザーは対向リストに存在します | ユーザーを追加しようとしましたが、そのユーザーは既に対向リストに存在します。
223 | グループが多すぎます | MSNメッセンジャーサービスでは30までのグループしか管理する事が出来ません。グループを減らしてから再度グループを追加して下さい。
224 | 無効なグループ | 操作しようとしたグループが存在しません。
225 | グループにユーザーがありません | グループに存在しないユーザーに対して操作を実行しました。プログラム側の問題です。
229 | グループ名が長すぎます | グループ名は半角61文字までしか設定できません。短くして下さい。
230 | グループ0は削除できません | サーバが強制的に作成するグループ0(Individuals)は削除できません。
280 | スイッチボードに失敗しました | 原因不明。
281 | スイッチボードへの転送に失敗しました | 原因不明。
300 | 要求されたフィールドが失われています | 原因不明。
302 | ログインしていません | 原因不明。
500 | 内部サーバーエラー | MSNサーバがダウンしています。サーバ側の問題です。
501 | データベースサーバエラー | 原因不明。
502 | コマンドが無効です | 送信するコマンドが無効です。プログラム側の問題です。
510 | ファイル操作に失敗しました | 原因不明。
520 | メモリ割り当て失敗 | 原因不明。
540 | チャレンジレスポンス失敗 | 接続が切れた後にコマンドを送信しようとしました。
600 | サーバビジー | 原因不明。
601 | サーバが利用可能ではありません | サーバ側の問題です。
602 | ピアネームサーバダウン | 原因不明。
603 | データベースへの接続が失敗しました | 原因不明。
604 | サーバがダウンします | 原因不明。
605 | サーバが利用可能ではありません | 原因不明。
707 | 接続を確立する事が出来ません | 原因不明。
710 | 間違ったCVRパラメータを送信しました | プログラム側の問題です。
711 | 書き込みがブロックされています | 原因不明。
712 | セッションがオーバーロードされました | 原因不明。
713 | 呼び出しが早すぎます | オフラインやブロックされた人に対してコールしすぎています。このエラーはサーバから拒否された場合に出ます。
714 | セッションを開きすぎています | 同時に開いている会話窓を減らして下さい。
715 | 予期できません | 認証されていないアカウントのユーザー名を変更しようとしました。原因不明。
717 | Bad Friend File | 原因不明。
731 | 予期できません | 間違ったフォーマットのCVRコマンドを送信した時の応答です。プログラム側の問題です。
800 | ユーザー名の変更が頻繁すぎます | ユーザー名の変更を頻繁に行いすぎています。時間をおいて変更して下さい。
910 | サーバビジー | MSNサーバがビジーです。時間をおいて下さい。
911 | 認証失敗 | 間違ったUSRコマンドや無効なアカウント名を送信したときの応答です。アカウント名やパスワードをチェックして下さい。
912 | サーバビジー | MSNサーバがビジーです。時間をおいて下さい。
913 | オフラインでは許可できません | オフライン状態では操作できません。オンラインにしてから操作して下さい。
914 | サーバが利用可能ではありません | 原因不明
915 | サーバが利用可能ではありません | 原因不明
916 | サーバが利用可能ではありません | 原因不明
917 | 認証失敗 | 原因不明
918 | サーバビジー | 原因不明
919 | サーバビジー | 原因不明
920 | 新しいユーザーを承認できませんでした | 原因不明。
921 | サーバビジー | MSNサーバがビジーです。時間をおいて下さい。
922 | サーバビジー | 原因不明。
923 | 親の認めていないキッズパスポートです | このキッズパスポートは親がチャットに同意していません。
924 | アカウントが認証されてません | アカウントを利用可能にしてから操作して下さい。
928 | 無効なチケットです | 主に@hotmail.comや@msn.comを付け忘れた場合に見られます。アカウント名を確認して下さい。

ナビゲーションリスト

  1. 総合目次 >>
  2. エラーメッセージ


その他

  1. バグ報告や要望の出し方
  2. よくある質問と答え(FAQ)

ナビゲーションリスト

  1. 総合目次


バグや要望の出し方

バグの報告や要望を出す前にシステムは全て最新リリースのものであるかどうかを確認して下さい。

バグを発見したときは

Regnessemは完璧なソフトウェアではありません。バグを発見したときは開発チームに報告する事でそのバグを治す事が出来るかも知れません。バグを発見したときは落ち着いてサポートBBSに以下の手順に従ってバグを報告して下さい。

バグ報告手順

  1. まずはヘルプにある関連しそうな項目に目を通し、仕様なのかバグなのかを確認します。
  2. もし見つけることが出来なければ、誰かが既に発見しているかどうかをバグリストで確認します。
    • 既に項目があれば既出のバグのようです、再現手順がわかるのであればそれをメモします。
    • 項目がなければ新しく発見したバグの可能性があります。
  4. サポートBBSの全文検索で既に報告されているかどうかを確認します。
  5. どのようなバグか、また再現が可能であるかどうかを、バージョン情報と共にサポートBBSのバグ報告スレッドに書き込んで下さい。
  6. もしバグを修正するパッチを作成した場合、Regnessem開発チームに連絡を取って頂ければ、検証の上で次期リリースに取り込ませて頂きます。

バグ報告の例

    Regnessemでメールを受信した時に勝手に終了してしまいます。

    OS :
      Windows NT 5.00.2195 Service Pack 4
    System :
      Regnessem α13 Version 0.5.13.50
      Plugins :
      "ComLog" 0.1.0
      "File I/O" 0.1.1
      "Idle" 0.1.0
      "Logger" 0.2.3
      "MSNP8" 0.1.1
      "Namer" 0.1.5
      "Simple" UI 0.1.12

    再現手順
      メールが受信した時に必ず落ちるわけではないので不明です。

要望があるときは

Regnessemにこんな機能を追加して欲しい、と思った時は以下の手順に従ってサポートBBSの要望スレッドに書き込んで下さい。ただし、要望が全て取り入れられるわけではありません。プログラム的に不可能な事は当然取り入れることは出来ませんし、必要と感じられないもの、プラグインで実現出来そうなものは優先順位が低くなります。

  1. その要望は設定変更をする事で実現できるかどうかをヘルプを見て調べます。
  2. 既に項目があれば既出の要望です。要望リストに１票を投じておきましょう。
  3. 項目がなければ新しい要望ですが、既にサポートBBSで出されているかもしれません。一度全文検索で検索しましょう。
  4. 検索しても出てこなければサポートBBSの要望スレッドに書き込んで下さい。

バージョン情報の取得

メインウィンドウのヘルプメニューからバージョン情報を選択するとバージョン情報を記載したダイアログが現れます。情報のコピーボタンを押すとクリップボードにバージョン情報がコピーされますので、それを貼り付けるとバージョン情報を取得できます。

ナビゲーションリスト

  1. 総合目次 >>
  2. その他


よくある質問と答え(FAQ)

よくある質問と答え(FAQ)

頻繁に出る質問は公式サイトにFAQがあります。ここではその一部を抜粋して掲載してあります。

質問リスト

  • 禁止にしているユーザや、不可視でログインしたユーザを見破れると聞きましたが、本当ですか？
  • ○○という機能(アイドルや自動ログ保存など)はありますか？
  • サインインできません
  • 受信したファイルはどこにありますか？
  • 勝手に会話ウィンドウが開くことがあります
  • MSN Messenger 6のアイコン表示や音声チャット、ビデオチャットは出来ますか？
  • Individualsというグループは何ですか？
  • Socket ErrorやProtocol Errorが出るのですが
  • Access Violation at といったダイアログが出る
  • リリースされていない最新版のRegnessemが使いたいのですが

回答一覧

禁止にしているユーザや、不可視でログインしたユーザを見破れると聞きましたが、本当ですか？

この質問が定期的にサポート掲示板へ投げられますが、見破りたい人は自分でその方法を調べてください。Project Regnessemではこの質問に答えることは出来ません。

○○という機能(アイドルや自動ログ保存など)はありますか？

まずはヘルプに目を通して下さい。それでも該当する機能がなければ誰かがプラグインを作成しているかもしれません。

サインインできません

まずは本当にインターネットに接続できるかを試して下さい。他にはNorton Internet SecurityやWindowsXP Personal Firewall等のファイアウォールソフトが通信を遮断している可能性もあります。

受信したファイルはどこにありますか？

FileIOプラグインの設定で保存場所を選べます。また、機能メニューに受信ファイルフォルダを開くというメニュー項目がありますので、それを選択することでフォルダを開くことが出来ます。

勝手に会話ウィンドウが開くことがあります

MSNP8のデフォルト設定では、相手が会話ウィンドウを開くと受信側も自動的に会話ウィンドウを開くようになっています。気になる人はMSNP8のオプション設定を変更して下さい。

MSN Messenger 6のアイコン表示や音声チャット、ビデオチャットは出来ますか？

結論から言えば出来ません。プロトコル自体が解析されていないことやユーザーインターフェースをどうするかといった問題があるからです。

Individualsというグループは何ですか？

MSN Messenger Serviceのサーバ仕様で、どのグループにも属さないメンバがいるグループです。

Socket ErrorやProtocol Errorが出るのですが

Socket Errorはインターネットとの通信自体がうまくいってない時に出ます。ちゃんと接続されているか、LANが無効になっていないかを確かめて下さい。

Protocol ErrorはMSNP8プロトコルプラグインがMSN Messenger Serviceを利用するときに出るエラーです。サインイン名やパスワードが間違っていないか確かめて下さい。

Access Violation at といったダイアログが出る

プログラムのバグによるエラーです。発生条件が分かっていないため、取り除くことが出来ていません。バージョン情報を添えて表示されたアドレス、デバッグウィンドウにあるサービスのアドレスを１つ添えて報告して頂ければバグを直せるかもしれません。

リリースされていない最新版のRegnessemが使いたいのですが

RegnessemのソースコードはSourceForgeにて全て公開されています。開発室にコンパイル方法を掲載していますので、それに従って自分でコンパイルするか、CVS版をコンパイルして公開している幾つかのサイトから入手することが出来るかもしれません。

ナビゲーションリスト

  1. 総合目次 >>
  2. その他